Bug 826532 - [abrt] glade-3.12.0-3.fc17: _gtk_rbtree_reorder: Process /usr/bin/glade was killed by signal 11 (SIGSEGV)
[abrt] glade-3.12.0-3.fc17: _gtk_rbtree_reorder: Process /usr/bin/glade was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:b22d5a9fd87ad95043c48733310...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 08:46 EDT by Stef Walter
Modified: 2013-07-31 23:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:59:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.33 KB, text/plain)
2012-05-30 08:46 EDT, Stef Walter
no flags Details
File: maps (37.37 KB, text/plain)
2012-05-30 08:46 EDT, Stef Walter
no flags Details
File: dso_list (8.33 KB, text/plain)
2012-05-30 08:46 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-05-30 08:46:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        glade /data/projects/gnome-control-center/panels/user-accounts/data/account-dialog.ui
comment:        Pasting a bunch of widgets into a window.
crash_function: _gtk_rbtree_reorder
executable:     /usr/bin/glade
kernel:         3.3.7-1.fc17.x86_64
pid:            32632
pwd:            /data
time:           Wed 30 May 2012 02:32:46 PM CEST
uid:            1000
username:       stef

backtrace:      Text file, 43346 bytes
dso_list:       Text file, 8531 bytes
maps:           Text file, 38268 bytes

build_ids:
:fce4569ceeae1e716f4efcc2334d057a178b4e1b
:8568e11bef79abaf14513d18a8559282d8dad34a
:54a5cc118d928470da13565de8592b664a9868e0
:647c8183274c4626c81e86e7a631a81782a04e65
:03a3531257193c88ade30f23f9dc93545fa5397d
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:b482cb2f8724075f4d71fb9363f310a7ecf08533
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:508cf66f72e70054a41215f80ed2385c6bb80030
:2ce57193598a6a03df5fd8553d22ddc43d002497
:ec87953f655fbcbcbe71b591db5451e56739576e
:4194f49481485f98de7853b6407338a4393171ac
:f64b7319b84d426ed547084bdb2577f4f596c18f
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:faca16f15d87b83d2947a386e319b02f724dcbb5
:b0e9927baed7fc1254e913b802c2922dd3f47da5
:87712be648d2d43ea4cd002fe7a859df636f1e13
:3d60535f052babb998bae4807bc992c5d15df5c4
:253afe744466fe7580bbb6040de6183dba9e2b02
:127f8958b602715234a02b88adb08afd9e34c203
:51df4cbbc11bdab5dfc33ed3fd5782b8a5c7602d
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:e3354959e32e471066df83c93f98f33e75198697
:2a34337df68bcebcf471d5e3362ac137ffea4527
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:410c64df289c635065db027a756be8618fc84f95
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:822e9b3523e8312240f41a25722d539bc77ed436
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/stef/2

core_backtrace:
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1cd1cf - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x281054 - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x26a3fc - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x63e7f glade_project_check_reordered libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x36763 glade_widget_child_set_property libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x3f540 - libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x41d66 - libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x3fda9 glade_property_set_va_list libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x354a9 glade_widget_pack_property_set libgladeui-2.so.0 -
:410c64df289c635065db027a756be8618fc84f95 0x240fb glade_gtk_notebook_replace_child libgladegtk.so -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x37241 - libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x7405a - libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x75ca2 glade_command_add libgladeui-2.so.0 -
:b482cb2f8724075f4d71fb9363f310a7ecf08533 0x76053 glade_command_paste libgladeui-2.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x95c13 - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x96299 - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x90485 gtk_accel_group_activate libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x91c3d gtk_accel_groups_activate libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2bee28 gtk_window_activate_key libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2beeb9 - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x17a4e9 - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2a266e - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1786c5 - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x17a1c3 gtk_main_do_event libgtk-3.so.0 -
:2a34337df68bcebcf471d5e3362ac137ffea4527 0x48e12 - libgdk-3.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x179585 gtk_main libgtk-3.so.0 -
:b0e9927baed7fc1254e913b802c2922dd3f47da5 0x8c4f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=stef-desktop.thewalter.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:LOGIN_SITE=/data/projects/login-provider/site
:HISTSIZE=1000
:XDG_SESSION_COOKIE=13946642489734c5e44302c1000002dd-1338354545.37511-638950929
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/stef/keyring-EdAR9p
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=stef
:MEM_SITE=/data/projects/members/site
:MAILER_SITE=/data/projects/login-mailer/site
:MAIL=/var/spool/mail/stef
:PATH=/data/bin:/data/.local/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/data/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/data
:JAVA_HOME=/opt/jdk_1.4.2/
:XMODIFIERS=@im=none
:EDITOR=vi
:GNOME_KEYRING_PID=1963
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/data
:SHLVL=1
:LOGNAME=stef
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4JBWak2pAR,guid=73aff9143f20b558ee8d3fa900000066
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:UDB_CONFFILE=/data/projects/udb-test/unit-test/udb.conf
:XDG_RUNTIME_DIR=/run/user/stef
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-stef-1011ov/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1968,unix/unix:/tmp/.ICE-unix/1968
:GPG_AGENT_INFO=/run/user/stef/keyring-EdAR9p/gpg:0:1
:SSH_AUTH_SOCK=/run/user/stef/keyring-EdAR9p/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/data/.local/share/applications/eclipse.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3195
:NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat
:XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63724                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63724                63724                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/data/.xsession-errors
:pos:	381205
:flags:	0102002
:2:/data/.xsession-errors
:pos:	381205
:flags:	0102002
:3:socket:[5525356]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[5537780]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[5540972]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[5539418]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:May 30 14:32:46 stef-desktop kernel: [26723.755779] glade[32632]: segfault at ffffffff4609c120 ip 0000003fde9cd1cf sp 00007fffef610540 error 4 in libgtk-3.so.0.400.1[3fde800000+471000]
:May 30 14:32:47 stef-desktop abrt[10450]: Saved core dump of pid 32632 (/usr/bin/glade) to /var/spool/abrt/ccpp-2012-05-30-14:32:46-32632 (111038464 bytes)
Comment 1 Stef Walter 2012-05-30 08:46:43 EDT
Created attachment 587719 [details]
File: backtrace
Comment 2 Stef Walter 2012-05-30 08:46:46 EDT
Created attachment 587720 [details]
File: maps
Comment 3 Stef Walter 2012-05-30 08:46:48 EDT
Created attachment 587721 [details]
File: dso_list
Comment 4 Kalev Lember 2012-06-21 13:52:43 EDT
Might be an issue with GtkTreeView code.

Is this reproducible, and if yes, are there any criticals displayed on the console?
Comment 5 Fedora End Of Life 2013-07-03 20:21:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:59:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.